%define plugname svncommand
%define plugver 1.67.3

Name: vim-plugin-%plugname
Version: %plugver
Release: alt1

Summary: VIm plugin for manipulating SVN-controlled source files
Group: Editors
License: Distributable
Url: http://www.vim.org/scripts/script.php?script_id=922

Packager: VIm Plugins Development Team <vim-plugins@packages.altlinux.org>

BuildArch: noarch

Source: %plugname-%plugver.tar.gz
Patch: %name-1.67.3-alt-fixes.patch

PreReq: vim-common >= 4:6.3.007-alt1
Requires: subversion

BuildPreReq: vim-devel

%description
This is almost a straight port of cvscommand.vim to support subversion.
Current support is for single file type ops, just like cvscommand.vim.
The commandset available is basically: status, info, update, revert,
diff, annotate, commit, add, log, vimdiff, review. It can also parse a
svn commit buffer and execute a diff based on that (you'll have to setup
a mapping for SVNCommitDiff to do this). 

To enable this plugin define "use_svncommand" variable somewhere
in your .vimrc file.

%prep
%setup -q -n %plugname-%plugver
%patch -p1

%install
%__mkdir_p %buildroot{%vim_syntax_dir,%vim_plugin_dir}
%__install -p -m644 plugin/svncommand.vim %buildroot%vim_plugin_dir/
%__install -p -m644 syntax/svn*.vim %buildroot%vim_syntax_dir/

%files
%vim_plugin_dir/svncommand.vim
%vim_syntax_dir/svn.vim
%vim_syntax_dir/svnlog.vim

%changelog
* Thu Feb 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.67.3-alt1
- initial build